Jump to:

1160 Posts in 2621 Topics by 409 members

Upgrading SilverStripe

SilverStripe Forums » Upgrading SilverStripe » 2.4 [User Warning] Cookie 'bypassStaticCache' can't be set.

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Page: 1 2
Go to End
Author Topic: 2881 Views
  • Gene
    Avatar
    Community Member
    41 Posts

    Re: 2.4 [User Warning] Cookie 'bypassStaticCache' can't be set. Link to this post

    That still doesn't solve the original problem. Calling '?debug' or '?showqueries' causes Silverstripe to echo out a bunch of debug messages before Versioned.php tries to set the 'bypassStaticCache' cookie. This obviously causes an error because the headers have already been sent and then it's trying to set a cookie. Anyone have a solution to this problem?

  • martimiz
    Avatar
    Forum Moderator
    1086 Posts

    Re: 2.4 [User Warning] Cookie 'bypassStaticCache' can't be set. Link to this post

    @Gene: a bit late maybe, but this did the trick for me. In mysite/_config.php:

    Director::set_environment_type("test");

    Cheers, Martine

    2881 Views
Page: 1 2
Go to Top

Want to know more about the company that brought you SilverStripe? Then check out SilverStripe.com

Comments on this website? Please give feedback.